/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\             Move             /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
/* Header Files */
#include "move.h"

/* Network Definitions */
socket_t tcpsock;
socket_t tcpsock2; 

/*---------------------------------------------------------------------------*/

/* TCP Network / send() / recv() */		
void tcpnetwork(char *nmove,char *chess,char *player)
{	
	/* Player */
	move(4,37);
	/* White */
	if(chess[1])
	{
		if(player[1])
		{
			printw("W:");
			getnstr(nmove, MOV);
		}	
	}
	/* Black */
	else if(chess[2])
	{
		if(player[8])
		{
			printw("B:");
			getnstr(nmove, MOV);
		}	
	}
	/* White or Black */
	else if(chess[3])
	{
		if(player[1])
		{
			printw("W:");
			getnstr(nmove, MOV);
		}
		else if(player[8])
		{
			printw("B:");
			getnstr(nmove, MOV);
		}	
	}
	/* Server */
	else if(chess[4])
	{
		if(player[1])
		{	
			printw("W:");
			getnstr(nmove, MOV);
			net_send(&tcpsock2 ,nmove, MOV);
		}
		else if(player[8])
		{
			net_recv(&tcpsock2 ,nmove, MOV);
		}
	}
	/* Client */
	else if(chess[5])
	{
		if(player[1])
		{
			net_recv(&tcpsock, nmove, MOV);	
		}
		else if(player[8])
		{	
			printw("B:");
			getnstr(nmove, MOV);	
			net_send(&tcpsock, nmove, MOV);
		}
	}
}

/*---------------------------------------------------------------------------*/

