/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\        Black vs White        /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include "menu/menu.h"
#include "menu/network.h"
#include "menu/setting.h"
#include "menu/board.h"
/* Define Port */
#define PORT 5799
/* Define Char */
#define E 9
/* Global Definitions */
char chess[E];
char ipad[19];
char white[30];
char black[30];
/* Defintions */
Menu cmenu;
Set cset;
Network cnetwork1;
Network cnetwork2;
Network cnetwork;
Cboard cgame;

//-----------------------------------------------------------------------------

/* Main Program */
int main(int agec, char **agev)
{ 
	/* Chess Game Menu */ 
	while(true) {
		
	WINDOW **item;					
	item=cmenu.draw_Menu(0);	
	agec=cmenu.scroll_Menu(item,6,0);
	cmenu.delete_Menu(item,6);		
	chess[E] = 0;

	switch(agec+1) {
			
	/* Play White */
	case 1:
	chess[1]=true;
	cgame.displayBoard(chess, white, black);
	break;
			
	/* Play Black */		
	case 2:
	chess[2]=true;
	cgame.displayBoard(chess, white, black);
	break;
		
	/* Empty Board */
	case 3:
	chess[3]=true;
	cgame.displayBoard(chess, white, black);
	break;
			
	/* Start Server */		
	case 4:
	chess[4]=true;
	cset.settings(ipad, chess, white, black);
	cnetwork1.socket();
	cnetwork1.bind(PORT);
	cnetwork1.listen();	
	while(true)
	{
		cnetwork1.accept(cnetwork2);
		cgame.displayBoard(chess, white, black);
		cnetwork2.close();
	}	
	cnetwork1.close();
	break;
			
	/* Start Client */		
	case 5:
	chess[5]=true;
	cset.settings(ipad, chess, white, black);	
	cnetwork.socket();
	cnetwork.connect(ipad,PORT);
	cgame.displayBoard(chess, white ,black);
	cnetwork.close();
	break;

	/* Settings */
	case 6:
	chess[6]=true;
	cset.settings(ipad, chess, white, black);
	break;	
	
	}} touchwin(stdscr);

	return 0;
}

//-----------------------------------------------------------------------------
